Status: New Start date:  
Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

This is just a suggestion but

It would be nice if we could group fields in issues.  For example Standard Fields could have the fields Team Lead, and Project

Number, User fields could have Root Cause and estimated time, while developer fields could have How to fix, Time required to fix

etc.

It would be nice to be able to hide fields such as the developer fields from users such as QA or documentation users.

Related issues:

Related to Redmine - Feature #13839: Custom fields presentation - Group custo... New

Related to Redmine - Feature #35281: [Meta] (Issues) Custom (and Standard) Fi... New

History

#1 - 2012-07-11 23:48 - Etienne Massip

- Category set to Custom fields

#2 - 2012-08-25 18:27 - @ go2null

Visibility is covered in Issue #8050 due in 2.1.0

The grouping part I don't know about.

#3 - 2012-09-06 19:56 - @ go2null

My apologies - Hidden is not covered.

#4 - 2013-09-24 10:04 - Arkhitech - More, Better, Faster!

+1 for this. Apart from visibility and hiding, there is a need to 'group' the custom fields.

This can be implemented by simply assigning a category field to the custom fields. Thus when custom fields are rendered, a block is formed based on

category, and all custom fields in the category are shown within the block.

#5 - 2013-12-16 18:21 - Dipan Mehta

+1. This is very useful when there are significant use of Custom-fields.

I think more important than the visibility is that we can have a nice layout on the issue page based on functional grouping (QA/Testing, planning,

version control related, root-cause analysis, customer specific etc.) which is not possible right now.

#6 - 2013-12-18 06:22 - Toshi MARUYAMA

- Related to Feature #13839: Custom fields presentation - Group custom fields in section / panel added

#7 - 2014-12-16 04:34 - Dev Full stack

+1

#8 - 2015-03-30 17:52 - Christopher Caruk

Perhaps an easy way to do this would be to group by the first word in the custom field name.  For example, Flight Date, Flight Reference, Flight

Number would all render into a box called Flight:

+-- Flight ---------------+
| Date      [            ]|

| Reference [            ]|

| Number    [            ]|

+-------------------------+

#9 - 2015-09-18 12:25 - Johan Lichtjager

I agree, this would mean a lot to me it this feature would be implemented. As redmine administrator I really dislike the use of fields called '-------' so my

colleagues can group fields in an issue.... so here's a feed kick :-D

#10 - 2015-10-07 11:27 - Sander Toonen

+1 Any way in which we can group or visually organise the fields would be a major improvement. When you have about a hundred custom fields on a

single tracker this is a must have.

#11 - 2016-03-16 14:35 - Stephane Evr

+1 This would also useful to stick some custom fields to a particular column so a given custom field will always be found at the same place hence the

issue will be more readable.

#12 - 2016-03-28 04:32 - Hide MATSUTANI

+1 If this feature is implemented, it is possible for me to apply various situations.

#13 - 2016-03-30 13:33 - Laurent Girard

+1

#14 - 2016-03-30 16:10 - Daniel N

+1

#15 - 2016-06-03 09:40 - Shinji Tamura

+1

#16 - 2016-06-22 13:33 - Michael Schaefer

+1

#17 - 2017-03-27 20:52 - ale dp

+1

#18 - 2019-01-16 13:47 - Marat I

+1

#19 - 2019-01-31 07:50 - Lalu Ahirwar

+1

#20 - 2019-04-08 21:44 - Karel Reznicek

+1

related also to this: #24766

#21 - 2019-11-29 07:47 - Yury Zhukovskiy

+1

#22 - 2021-05-23 06:29 - Mischa The Evil

- Related to Feature #35281: [Meta] (Issues) Custom (and Standard) Fields Grouping and Positioning added
